package gerenciamento_acesso;

import java.sql.SQLException;

import BD.Cadastra;

public class ControleAcesso {

	static char login;
	static char pass;

	public boolean BuscaCliente(String login, String pass) {

		Pessoa nova_busca = new Cliente();
		if (((Cliente) nova_busca).VerificaCliente(login, pass)) {			
			return true;
		}
		// verifica sql...

		return false;
	}

	public boolean CadastraCliente(String c0, String c1, String c2, String c3,
			String c4) throws SQLException {

		if (c0 == "" || c1 == "" || c2 == "" || c3 == "" || c4 == "") {
			return false;
			// aqui pode verificar erros de entrada
		}
		// joga sql....
		Pessoa novo_cliente = new Cliente();
		if (((Cliente) novo_cliente).CriaCliente(c0, c1, c2, c3, c4)) {
			Cadastra novo_cadastro = new Cadastra();
			if (novo_cadastro.ins(novo_cliente)) {
				return true;
			}
		}
		return false;
	}

}
